package com.dsk.cscec.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dsk.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author lcl
 * @Data 2023/12/18 14:14
 */
@Data
public class DCustomerListVo implements Serializable {


    private static final long serialVersionUID = 1L;
    /**
     * jsk企业id
     */
    private Integer companyId;
    /**
     * 客商主键
     */
    private Long customerKey;
    /**
     * ipm供应商id
     */
    private String customerId;
    /**
     * 税号
     */
    private String taxNumber;
    /**
     * 供应商编号
     */
    @Excel(name = "供应商编号",  width = 5)
    private String customerCode;
    /**
     * 供应商名称
     */
    @Excel(name = "供应商名称",  width = 10)
    private String customerName;
    /**
     * 推荐公司
     */
    @Excel(name = "推荐公司",  width = 10)
    private String recommendOrg;
    /**
     * 注册地区域
     */
    @Excel(name = "注册地区域",  width = 5)
    private String registerRegion;
    /**
     * 省份
     */
    @Excel(name = "省份",  width = 5)
    private String registerProvince;
    /**
     * 城市
     */
    @Excel(name = "城市",  width = 5)
    private String registerCity;
    /**
     * 注册资金
     */
    @Excel(name = "注册资金",  width = 5)
    private Double registerCapital;
    /**
     * 供应商类别
     */
    @Excel(name = "供应商类别",  width = 5)
    private String customerClass;
    /**
     * 集团专业类别
     */
    @Excel(name = "专业类别",  width = 5)
    private String groupSpecialty;
    /**
     * 纳税人身份
     */
    @Excel(name = "纳税人身份",  width = 5)
    private String paytaxType;
    /**
     * 纳税人税率
     */
    @Excel(name = "纳税人税率",  width = 5)
    private String taxRate;
    /**
     * 供应商状态
     */
    @Excel(name = "供应商状态",  width = 5)
    private String customerState;
    /**
     * 队长名称
     */
    @Excel(name = "劳务队长",  width = 5)
    private String leaderName;
    /**
     * 劳务队长身份证号
     */
    @Excel(name = "劳务队长身份证号",  width = 5)
    private String laborCaptainIdcard;
    /**
     * 劳务队长联系电话
     */
    @Excel(name = "劳务队长联系电话",  width = 5)
    private String laborCaptainPhone;
    /**
     * 队伍规模人数
     */
    @Excel(name = "队伍规模人数",  width = 5)
    private Double serviceTeamPersonnum;
    /**
     * 专业特长
     */
    @Excel(name = "专业特长",  width = 5)
    private String serviceTeamSpeciality;
    /**
     * 施工承包范围
     */
    @Excel(name = "施工承包范围",  width = 5)
    private String constructJobScope;
    /**
     * 资质等级
     */
    @Excel(name = "资质等级",  width = 5)
    private String credential;
    /**
     * 联系人
     */
    @Excel(name = "联系人",  width = 5)
    private String contactPerson;
    /**
     * 电话
     */
    @Excel(name = "电话",  width = 5)
    private String contactPhone;
    /**
     * 准入时间
     */
    @Excel(name = "准入时间",  width = 5 , dateFormat = "yyyy-MM-dd")
    private Date approveDate2;
    /**
     * 考评等级
     */
    @Excel(name = "考评等级",  width = 5)
    private String creditLevel;
    /**
     * 企业合作数量
     */
    private Integer enterpriseCooperationCount;
    /**
     * 项目合作数量
     */
    private Integer projectCooperationCount;


}
